io.etcd.jetcd.api

## Class AlarmRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>
      - - io.etcd.jetcd.api.AlarmRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AlarmRequestOrBuilder, Cloneable

Enclosing class:
  AlarmRequest

    public static final class AlarmRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>
    implements AlarmRequestOrBuilder

Protobuf type `etcdserverpb.AlarmRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AlarmRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AlarmRequest` `build()`
`AlarmRequest` `buildPartial()`
`AlarmRequest.Builder` `clear()`
`AlarmRequest.Builder` `clearAction()` action is the kind of alarm request to issue.
`AlarmRequest.Builder` `clearAlarm()` alarm is the type of alarm to consider for this request.
`AlarmRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AlarmRequest.Builder` `clearMemberID()` memberID is the ID of the member associated with the alarm.
`AlarmRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AlarmRequest.Builder` `clone()`
`AlarmRequest.AlarmAction` `getAction()` action is the kind of alarm request to issue.
`int` `getActionValue()` action is the kind of alarm request to issue.
`AlarmType` `getAlarm()` alarm is the type of alarm to consider for this request.
`int` `getAlarmValue()` alarm is the type of alarm to consider for this request.
`AlarmRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getMemberID()` memberID is the ID of the member associated with the alarm.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AlarmRequest.Builder` `mergeFrom(AlarmRequest other)`
`AlarmRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AlarmRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AlarmRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AlarmRequest.Builder` `setAction(AlarmRequest.AlarmAction value)` action is the kind of alarm request to issue.
`AlarmRequest.Builder` `setActionValue(int value)` action is the kind of alarm request to issue.
`AlarmRequest.Builder` `setAlarm(AlarmType value)` alarm is the type of alarm to consider for this request.
`AlarmRequest.Builder` `setAlarmValue(int value)` alarm is the type of alarm to consider for this request.
`AlarmRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AlarmRequest.Builder` `setMemberID(long value)` memberID is the ID of the member associated with the alarm.
`AlarmRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AlarmRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### clear

    public AlarmRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### getDefaultInstanceForType

    public AlarmRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AlarmRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AlarmRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AlarmRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### setField

    public AlarmRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### clearField

    public AlarmRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### clearOneof

    public AlarmRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### setRepeatedField

    public AlarmRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 int index,
                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### addRepeatedField

    public AlarmRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### mergeFrom

    public AlarmRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AlarmRequest.Builder>`

#### mergeFrom

    public AlarmRequest.Builder mergeFrom(AlarmRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### mergeFrom

    public AlarmRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AlarmRequest.Builder>`
Throws:
  `IOException`

#### getActionValue

    public int getActionValue()

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Specified by:
  `getActionValue` in interface `AlarmRequestOrBuilder`
Returns:
  The enum numeric value on the wire for action.

#### setActionValue

    public AlarmRequest.Builder setActionValue(int value)

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Parameters:
  `value` - The enum numeric value on the wire for action to set.
Returns:
  This builder for chaining.

#### getAction

    public AlarmRequest.AlarmAction getAction()

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Specified by:
  `getAction` in interface `AlarmRequestOrBuilder`
Returns:
  The action.

#### setAction

    public AlarmRequest.Builder setAction(AlarmRequest.AlarmAction value)

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Parameters:
  `value` - The action to set.
Returns:
  This builder for chaining.

#### clearAction

    public AlarmRequest.Builder clearAction()

     action is the kind of alarm request to issue. The action
     may GET alarm statuses, ACTIVATE an alarm, or DEACTIVATE a
     raised alarm.

`.etcdserverpb.AlarmRequest.AlarmAction action = 1;`

Returns:
  This builder for chaining.

#### getMemberID

    public long getMemberID()

     memberID is the ID of the member associated with the alarm. If memberID is 0, the
     alarm request covers all members.

`uint64 memberID = 2;`

Specified by:
  `getMemberID` in interface `AlarmRequestOrBuilder`
Returns:
  The memberID.

#### setMemberID

    public AlarmRequest.Builder setMemberID(long value)

     memberID is the ID of the member associated with the alarm. If memberID is 0, the
     alarm request covers all members.

`uint64 memberID = 2;`

Parameters:
  `value` - The memberID to set.
Returns:
  This builder for chaining.

#### clearMemberID

    public AlarmRequest.Builder clearMemberID()

     memberID is the ID of the member associated with the alarm. If memberID is 0, the
     alarm request covers all members.

`uint64 memberID = 2;`

Returns:
  This builder for chaining.

#### getAlarmValue

    public int getAlarmValue()

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Specified by:
  `getAlarmValue` in interface `AlarmRequestOrBuilder`
Returns:
  The enum numeric value on the wire for alarm.

#### setAlarmValue

    public AlarmRequest.Builder setAlarmValue(int value)

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Parameters:
  `value` - The enum numeric value on the wire for alarm to set.
Returns:
  This builder for chaining.

#### getAlarm

    public AlarmType getAlarm()

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Specified by:
  `getAlarm` in interface `AlarmRequestOrBuilder`
Returns:
  The alarm.

#### setAlarm

    public AlarmRequest.Builder setAlarm(AlarmType value)

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Parameters:
  `value` - The alarm to set.
Returns:
  This builder for chaining.

#### clearAlarm

    public AlarmRequest.Builder clearAlarm()

     alarm is the type of alarm to consider for this request.

`.etcdserverpb.AlarmType alarm = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final AlarmRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`

#### mergeUnknownFields

    public final AlarmRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AlarmRequest.Builder>`